Upstream information

CVE-2017-6437 at MITRE

Description

The base64encode function in base64.c in libimobiledevice libplist 1.12 allows local users to cause a denial of service (out-of-bounds read) via a crafted plist file.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 1.9
Vector AV:L/AC:M/Au:N/C:N/I:N/A:P
Access Vector Local
Access Complexity Medium
Authentication None
Confidentiality Impact None
Integrity Impact None
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database
Base Score 5
Vector CVSS:3.0/AV:L/AC:L/PR:L/UI:R/S:U/C:N/I:N/A:H
Access Vector Local
Access Complexity Low
Privileges Required Low
User Interaction Required
Scope Unchanged
Confidentiality Impact None
Integrity Impact None
Availability Impact High
CVSSv3 Version 3
SUSE Bugzilla entry: 1029707 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12 SP2
  • libplist >= 1.12-20.3.2
  • libplist++3 >= 1.12-20.3.2
  • libplist3 >= 1.12-20.3.2
Patchnames:
SUSE-SLE-DESKTOP-12-SP2-2017-1342
SUSE Linux Enterprise Desktop 12 SP3
  • libplist >= 1.12-20.3.2
  • libplist++3 >= 1.12-20.3.2
  • libplist3 >= 1.12-20.3.2
Patchnames:
SUSE-SLE-DESKTOP-12-SP3-2017-1342
SUSE Linux Enterprise Desktop 12 SP4
  • libplist++3 >= 1.12-20.3.2
  • libplist3 >= 1.12-20.3.2
SUSE Linux Enterprise High Performance Computing 12 SP5
SUSE Linux Enterprise Server 12 SP4
SUSE Linux Enterprise Server 12 SP5
  • libplist3 >= 1.12-20.3.2
SUSE Linux Enterprise Module for Desktop Applications 15
SUSE Linux Enterprise Module for Desktop Applications 15 SP1
  • libplist++-devel >= 2.0.0-1.31
  • libplist++3 >= 2.0.0-1.31
  • libplist-devel >= 2.0.0-1.31
  • libplist3 >= 2.0.0-1.31
SUSE Linux Enterprise Server 12 SP2
SUSE Linux Enterprise Server for SAP Applications 12 SP2
  • libplist >= 1.12-20.3.2
  • libplist3 >= 1.12-20.3.2
Patchnames:
SUSE-SLE-SERVER-12-SP2-2017-1342
SUSE Linux Enterprise Server 12 SP3
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • libplist >= 1.12-20.3.2
  • libplist3 >= 1.12-20.3.2
Patchnames:
SUSE-SLE-SERVER-12-SP3-2017-1342
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • libplist >= 1.12-20.3.2
  • libplist3 >= 1.12-20.3.2
Patchnames:
SUSE-SLE-RPI-12-SP2-2017-1342
SUSE Linux Enterprise Software Development Kit 12 SP2
  • libplist >= 1.12-20.3.2
  • libplist++-devel >= 1.12-20.3.2
  • libplist++3 >= 1.12-20.3.2
  • libplist-devel >= 1.12-20.3.2
Patchnames:
SUSE-SLE-SDK-12-SP2-2017-1342
SUSE Linux Enterprise Software Development Kit 12 SP3
  • libplist >= 1.12-20.3.2
  • libplist++-devel >= 1.12-20.3.2
  • libplist++3 >= 1.12-20.3.2
  • libplist-devel >= 1.12-20.3.2
Patchnames:
SUSE-SLE-SDK-12-SP3-2017-1342
SUSE Linux Enterprise Software Development Kit 12 SP4
SUSE Linux Enterprise Software Development Kit 12 SP5
  • libplist++-devel >= 1.12-20.3.2
  • libplist++3 >= 1.12-20.3.2
  • libplist-devel >= 1.12-20.3.2
SUSE Linux Enterprise Workstation Extension 12 SP2
  • libplist >= 1.12-20.3.2
  • libplist++3 >= 1.12-20.3.2
Patchnames:
SUSE-SLE-WE-12-SP2-2017-1342
SUSE Linux Enterprise Workstation Extension 12 SP3
  • libplist >= 1.12-20.3.2
  • libplist++3 >= 1.12-20.3.2
Patchnames:
SUSE-SLE-WE-12-SP3-2017-1342
SUSE Linux Enterprise Workstation Extension 12 SP4
SUSE Linux Enterprise Workstation Extension 12 SP5
  • libplist++3 >= 1.12-20.3.2
openSUSE Leap 15.0
  • libplist3 >= 2.0.0-lp150.1.10
Patchnames:
openSUSE Leap 15.0 GA libplist3
openSUSE Leap 42.2
  • libplist >= 1.12-7.6.1
  • libplist++-devel >= 1.12-7.6.1
  • libplist++3 >= 1.12-7.6.1
  • libplist++3-32bit >= 1.12-7.6.1
  • libplist++3-debuginfo >= 1.12-7.6.1
  • libplist++3-debuginfo-32bit >= 1.12-7.6.1
  • libplist-debugsource >= 1.12-7.6.1
  • libplist-devel >= 1.12-7.6.1
  • libplist3 >= 1.12-7.6.1
  • libplist3-32bit >= 1.12-7.6.1
  • libplist3-debuginfo >= 1.12-7.6.1
  • libplist3-debuginfo-32bit >= 1.12-7.6.1
  • plistutil >= 1.12-7.6.1
  • plistutil-debuginfo >= 1.12-7.6.1
  • python-plist >= 1.12-7.6.1
  • python-plist-debuginfo >= 1.12-7.6.1
Patchnames:
openSUSE-2017-953
openSUSE Leap 42.3
  • libplist >= 1.12-11.1
  • libplist++-devel >= 1.12-11.1
  • libplist++3 >= 1.12-11.1
  • libplist++3-32bit >= 1.12-11.1
  • libplist++3-debuginfo >= 1.12-11.1
  • libplist++3-debuginfo-32bit >= 1.12-11.1
  • libplist-debugsource >= 1.12-11.1
  • libplist-devel >= 1.12-11.1
  • libplist3 >= 1.12-11.1
  • libplist3-32bit >= 1.12-11.1
  • libplist3-debuginfo >= 1.12-11.1
  • libplist3-debuginfo-32bit >= 1.12-11.1
  • plistutil >= 1.12-11.1
  • plistutil-debuginfo >= 1.12-11.1
  • python-plist >= 1.12-11.1
  • python-plist-debuginfo >= 1.12-11.1
Patchnames:
openSUSE-2017-953


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 12 SP1 libplist Unsupported
SUSE Linux Enterprise Desktop 12 SP2 libplist Released
SUSE Linux Enterprise Desktop 12 SP3 libplist Released
SUSE Linux Enterprise High Performance Computing 12 SP5 libplist Released
SUSE Linux Enterprise Server 12 LTSS libplist Unsupported
SUSE Linux Enterprise Server 12 SP1 libplist Unsupported
SUSE Linux Enterprise Server 12 SP2 libplist Released
SUSE Linux Enterprise Server 12 SP3 libplist Released
SUSE Linux Enterprise Server 12 SP5 libplist Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 libplist Released
SUSE Linux Enterprise Server for the Raspberry Pi libplist Released
SUSE Linux Enterprise Software Development Kit 12 libplist Released
SUSE Linux Enterprise Software Development Kit 12 SP1 libplist Unsupported
SUSE Linux Enterprise Software Development Kit 12 SP3 libplist Released
SUSE Linux Enterprise Workstation Extension 12 libplist Released
SUSE Linux Enterprise Workstation Extension 12 SP1 libplist Unsupported
SUSE Linux Enterprise Workstation Extension 12 SP2 libplist Released